#pragma once
#include "level.hpp"
#include "enity/enity.hpp"
//! тестовый уровень без текстур
class Level_dummy_2: public Level {
public:
  Level_dummy_2() = default;
  explicit Level_dummy_2(CN(a83::Str) fname)
    { _init(fname); }
  void init(CN(a83::Str) fname) override
    { _init(fname); }
  void print_d(Image& dst) override
    { dst.fill(Color::get_gray(96)); }
  void update(CN(Phys) global_motion, float dt) override {
    Level::update(global_motion, dt);
    //...
  }
private:
  nocopy(Level_dummy_2);
  void test_spawn();
  void _init(CN(a83::Str) fname) {
    using namespace a83;
    Level::init(fname);
    Game::status |= GF_INAIR; // включение тряски игрока в воздухе
    test_spawn();
  } // _init
}; // Level_dummy_2
#include "level-dummy-2-spawn.cpp"